To install and use the Skydio 2 app, your mobile device must meet the following minimum requirements:

iOS

  • Check the App Store for compatibility with your specific device.
  • Device must be running 64-bit iOS 12.0 (or higher)
  • iPhone 6 (or higher), iPad Air (or higher), iPad Mini 2 (or higher)
    • NOTE: We're investigating an incompatibility between iPad Air (4th gen) and Skydio Controller and will update this list ASAP.
  • Minimum space on device: ~500mb

Android

  • Check Google Play for compatibility with your specific device.
  • Device must be running Android 9.0 (or higher)
    • NOTE: We're investigating an incompatibility between Samsung Galaxy 8 and Skydio Controller and will update this list ASAP.
  • Minimum space on device: ~500mb
CS_Note_callout-icon__1_.jpg We do not support folding devices or devices with screen ratio changes (e.g. Samsung Galaxy Z Fold3).

Explore More

Explore related articles for additional information:

Access Skydio 2 manuals and guides

Getting started with Skydio 2

Viewing and saving Skydio 2 media

Using Skills within the Skydio 2 app

 

If you have questions or need additional support—feel free to reach out! Skydio Support

  

 © 2021 Skydio, Inc. All rights reserved A0042

 

Was this article helpful?